| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DynamicData Class Referenceabstract

`#include <DynamicData.hpp>`

Inheritance diagram for DynamicData:
[legend]

## Public Types

using | _ref_type = typename traits<DynamicData>::ref_type

## Public Member Functions

virtual FASTDDS_EXPORTED_API traits< DynamicType >::ref_type | type ()=0
| Retrieve the DynamicType reference associated to this DynamicData.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_descriptor (traits< MemberDescriptor >::ref_type &value, MemberId id)=0
| Retrieves the MemberDescriptor associated to a member.
virtual FASTDDS_EXPORTED_API bool | equals (traits< DynamicData >::ref_type other)=0
| Compares two DynamicData, equality requires:
virtual FASTDDS_EXPORTED_API MemberId | get_member_id_by_name (const ObjectName &name)=0
| Queries MemberId by name.
virtual FASTDDS_EXPORTED_API MemberId | get_member_id_at_index (uint32_t index)=0
| Queries MemberId by index The query result depends on the type of the sample.
virtual FASTDDS_EXPORTED_API uint32_t | get_item_count ()=0
| Provides the item count of the data and depends on the type of object:
virtual FASTDDS_EXPORTED_API ReturnCode_t | clear_all_values ()=0
| Clear all members associated to the object.
virtual FASTDDS_EXPORTED_API ReturnCode_t | clear_nonkey_values ()=0
| Clear all members not associated to the key.
virtual FASTDDS_EXPORTED_API ReturnCode_t | clear_value (MemberId id)=0
| Clear a member.
virtual FASTDDS_EXPORTED_API traits< DynamicData >::ref_type | loan_value (MemberId id)=0
| Loans a DynamicData reference within the sample
virtual FASTDDS_EXPORTED_API ReturnCode_t | return_loaned_value (traits< DynamicData >::ref_type value)=0
| Returns a loan retrieved using loan_value.
virtual FASTDDS_EXPORTED_API traits< DynamicData >::ref_type | clone ()=0
| Creates and returns a new data sample with the same contents as this one.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_int32_value (int32_t &value, MemberId id)=0
| Retrieves an int32 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_int32_value (MemberId id, int32_t value)=0
| Sets an int32 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_uint32_value (uint32_t &value, MemberId id)=0
| Retrieves an uint32 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_uint32_value (MemberId id, uint32_t value)=0
| Sets an uint32 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_int8_value (int8_t &value, MemberId id)=0
| Retrieves an int8 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_int8_value (MemberId id, int8_t value)=0
| Sets an int8 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_uint8_value (uint8_t &value, MemberId id)=0
| Retrieves an uint8 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_uint8_value (MemberId id, uint8_t value)=0
| Sets an uint8 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_int16_value (int16_t &value, MemberId id)=0
| Retrieves an int16 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_int16_value (MemberId id, int16_t value)=0
| Sets an int16 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_uint16_value (uint16_t &value, MemberId id)=0
| Retrieves an uint16 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_uint16_value (MemberId id, uint16_t value)=0
| Sets an uint16 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_int64_value (int64_t &value, MemberId id)=0
| Retrieves an int64 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_int64_value (MemberId id, int64_t value)=0
| Sets an int64 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_uint64_value (uint64_t &value, MemberId id)=0
| Retrieves an uint64 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_uint64_value (MemberId id, uint64_t value)=0
| Sets an uint64 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_float32_value (float &value, MemberId id)=0
| Retrieves an float32 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_float32_value (MemberId id, float value)=0
| Sets an float32 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_float64_value (double &value, MemberId id)=0
| Retrieves an float64 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_float64_value (MemberId id, double value)=0
| Sets an float64 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_float128_value (long double &value, MemberId id)=0
| Retrieves an float128 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_float128_value (MemberId id, long double value)=0
| Sets an float128 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_char8_value (char &value, MemberId id)=0
| Retrieves an char8 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_char8_value (MemberId id, char value)=0
| Sets an char8 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_char16_value (wchar_t &value, MemberId id)=0
| Retrieves an char16 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_char16_value (MemberId id, wchar_t value)=0
| Sets an char16 value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_byte_value (eprosima::fastdds::rtps::octet &value, MemberId id)=0
| Retrieves an byte value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_byte_value (MemberId id, eprosima::fastdds::rtps::octet value)=0
| Sets an byte value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_boolean_value (bool &value, MemberId id)=0
| Retrieves an bool value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_boolean_value (MemberId id, bool value)=0
| Sets an bool value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_string_value (std::string &value, MemberId id)=0
| Retrieves an string value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_string_value (MemberId id, const std::string &value)=0
| Sets an string value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_wstring_value (std::wstring &value, MemberId id)=0
| Retrieves an wstring value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_wstring_value (MemberId id, const std::wstring &value)=0
| Sets an wstring value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_complex_value (traits< DynamicData >::ref_type &value, MemberId id)=0
| Retrieves a complex value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_complex_value (MemberId id, traits< DynamicData >::ref_type value)=0
| Sets a complex value associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_int32_values (Int32Seq &value, MemberId id)=0
| Retrieves a sequence of int32 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_int32_values (MemberId id, const Int32Seq &value)=0
| Sets a sequence of int32 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_uint32_values (UInt32Seq &value, MemberId id)=0
| Retrieves a sequence of uint32 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_uint32_values (MemberId id, const UInt32Seq &value)=0
| Sets a sequence of uint32 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_int8_values (Int8Seq &value, MemberId id)=0
| Retrieves a sequence of int8 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_int8_values (MemberId id, const Int8Seq &value)=0
| Sets a sequence of int8 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_uint8_values (UInt8Seq &value, MemberId id)=0
| Retrieves a sequence of uint8 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_uint8_values (MemberId id, const UInt8Seq &value)=0
| Sets a sequence of uint8 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_int16_values (Int16Seq &value, MemberId id)=0
| Retrieves a sequence of int16 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_int16_values (MemberId id, const Int16Seq &value)=0
| Sets a sequence of int16 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_uint16_values (UInt16Seq &value, MemberId id)=0
| Retrieves a sequence of uint16 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_uint16_values (MemberId id, const UInt16Seq &value)=0
| Sets a sequence of uint16 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_int64_values (Int64Seq &value, MemberId id)=0
| Retrieves a sequence of int64 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_int64_values (MemberId id, const Int64Seq &value)=0
| Sets a sequence of int64 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_uint64_values (UInt64Seq &value, MemberId id)=0
| Retrieves a sequence of uint64 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_uint64_values (MemberId id, const UInt64Seq &value)=0
| Sets a sequence of uint64 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_float32_values (Float32Seq &value, MemberId id)=0
| Retrieves a sequence of float32 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_float32_values (MemberId id, const Float32Seq &value)=0
| Sets a sequence of float32 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_float64_values (Float64Seq &value, MemberId id)=0
| Retrieves a sequence of float64 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_float64_values (MemberId id, const Float64Seq &value)=0
| Sets a sequence of float64 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_float128_values (Float128Seq &value, MemberId id)=0
| Retrieves a sequence of float128 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_float128_values (MemberId id, const Float128Seq &value)=0
| Sets a sequence of float128 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_char8_values (CharSeq &value, MemberId id)=0
| Retrieves a sequence of char8 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_char8_values (MemberId id, const CharSeq &value)=0
| Sets a sequence of char8 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_char16_values (WcharSeq &value, MemberId id)=0
| Retrieves a sequence of char16 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_char16_values (MemberId id, const WcharSeq &value)=0
| Sets a sequence of char16 values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_byte_values (ByteSeq &value, MemberId id)=0
| Retrieves a sequence of byte values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_byte_values (MemberId id, const ByteSeq &value)=0
| Sets a sequence of byte values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_boolean_values (BooleanSeq &value, MemberId id)=0
| Retrieves a sequence of bool values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_boolean_values (MemberId id, const BooleanSeq &value)=0
| Sets a sequence of bool values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_string_values (StringSeq &value, MemberId id)=0
| Retrieves a sequence of string values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_string_values (MemberId id, const StringSeq &value)=0
| Sets a sequence of string values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | get_wstring_values (WstringSeq &value, MemberId id)=0
| Retrieves a sequence of wstring values associated to an identifier.
virtual FASTDDS_EXPORTED_API ReturnCode_t | set_wstring_values (MemberId id, const WstringSeq &value)=0
| Sets a sequence of wstring values associated to an identifier.

## Protected Member Functions

| DynamicData ()=default
virtual | ~DynamicData ()=default
traits< DynamicData >::ref_type | _this ()

## Member Typedef Documentation

## ◆ _ref_type

using _ref_type = typename traits<DynamicData>::ref_type

## Constructor & Destructor Documentation

## ◆ DynamicData()

DynamicData | ( |  | ) |

protected default

## ◆ ~DynamicData()

virtual ~DynamicData | ( |  | ) |

protected virtual default

## Member Function Documentation

## ◆ _this()

traits< DynamicData >::ref_type _this | ( |  | ) |

protected

## ◆ clear_all_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t clear_all_values | ( |  | ) |

pure virtual

Clear all members associated to the object.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the cleaning was successful.

## ◆ clear_nonkey_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t clear_nonkey_values | ( |  | ) |

pure virtual

Clear all members not associated to the key.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the cleaning was successful.

## ◆ clear_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t clear_value | ( | MemberId | id | ) |

pure virtual

Clear a member.

The meaning of "clearing" depends on the type of the sample:

- If aggregated type, set it to its default value.
- If variable-length collection type, remove the indicated element, shifting any subsequence elements to the next-lowest index.
- If array type, set the indicated element to its default value.
- If bitmask type, clear the indicated bit.
- If enumerated type, set it to the first value of the enumerated type.
- If primitive type, set it to its default value.
  Parameters

    [in] | id | Identifier of the member to purge

  Returns
    ReturnCode_t
  Return values

    RETCODE_OK | when the cleaning was successful.
    RETCODE_BAD_PARAMETER | when the MemberId is invalid.

## ◆ clone()

virtual FASTDDS_EXPORTED_API traits< DynamicData >::ref_type clone | ( |  | ) |

pure virtual

Creates and returns a new data sample with the same contents as this one.

A comparison of this object and the clone using equals immediately following this call will return true.

Returns
  DynamicData reference

## ◆ equals()

virtual FASTDDS_EXPORTED_API bool equals | ( | traits< DynamicData >::ref_type | other | ) |

pure virtual

Compares two DynamicData, equality requires:

- Their respective type definitions are equal
- All contained values are equal and occur in the same order
- If the samples' type is an aggregated type, previous rule shall be amended as follows:
  1. Members shall be compared without regard to their order.
     Parameters

       [in] | other | DynamicData reference to compare to

     Returns
       true on equality

## ◆ get_boolean_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_boolean_value | ( | bool & | value,
|  | MemberId | id )

pure virtual

Retrieves an bool value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to query.
  [in,out] | value | bool to populate.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to bool.

## ◆ get_boolean_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_boolean_values | ( | BooleanSeq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of bool values associated to an identifier.

Parameters

  [in,out] | value | Sequence of bool to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of bool.

## ◆ get_byte_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_byte_value | ( | eprosima::fastdds::rtps::octet & | value,
|  | MemberId | id )

pure virtual

Retrieves an byte value associated to an identifier.

Parameters

  [in,out] | value | byte to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to byte.

## ◆ get_byte_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_byte_values | ( | ByteSeq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of byte values associated to an identifier.

Parameters

  [in,out] | value | Sequence of byte to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of byte.

## ◆ get_char16_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_char16_value | ( | wchar_t & | value,
|  | MemberId | id )

pure virtual

Retrieves an char16 value associated to an identifier.

Parameters

  [in,out] | value | char16 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to char16.

## ◆ get_char16_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_char16_values | ( | WcharSeq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of char16 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of char16 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of char16.

## ◆ get_char8_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_char8_value | ( | char & | value,
|  | MemberId | id )

pure virtual

Retrieves an char8 value associated to an identifier.

Parameters

  [in,out] | value | char8 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to char8.

## ◆ get_char8_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_char8_values | ( | CharSeq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of char8 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of char8 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of char8.

## ◆ get_complex_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_complex_value | ( | traits< DynamicData >::ref_type & | value,
|  | MemberId | id )

pure virtual

Retrieves a complex value associated to an identifier.

Parameters

  [in,out] | value | DynamicData reference to populate
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to complex.

## ◆ get_descriptor()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_descriptor | ( | traits< MemberDescriptor >::ref_type & | value,
|  | MemberId | id )

pure virtual

Retrieves the MemberDescriptor associated to a member.

Parameters

  [in,out] | value | Non-nil MemberDescriptor reference where the information is copied.
  [in] | id | Identifier of the member to be retrieved.

Return values

  RETCODE_OK | when the copy was successful.
  RETCODE_BAD_PARAMETER | when descriptor reference is nil or member identifier is not found.

## ◆ get_float128_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_float128_value | ( | long double & | value,
|  | MemberId | id )

pure virtual

Retrieves an float128 value associated to an identifier.

Parameters

  [in,out] | value | float128 to populate.
  [in] | id | Identifier of the member to query.

Remarks
  Only available on platforms supporting long double

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to float128.

## ◆ get_float128_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_float128_values | ( | Float128Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of float128 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of float128 to populate.
  [in] | id | Identifier of the member to query.

Remarks
  Only available on platforms supporting long double

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of float128.

## ◆ get_float32_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_float32_value | ( | float & | value,
|  | MemberId | id )

pure virtual

Retrieves an float32 value associated to an identifier.

Parameters

  [in,out] | value | float32 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to float32.

## ◆ get_float32_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_float32_values | ( | Float32Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of float32 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of float32 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of float32.

## ◆ get_float64_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_float64_value | ( | double & | value,
|  | MemberId | id )

pure virtual

Retrieves an float64 value associated to an identifier.

Parameters

  [in,out] | value | float64 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to float64.

## ◆ get_float64_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_float64_values | ( | Float64Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of float64 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of float64 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of float64.

## ◆ get_int16_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_int16_value | ( | int16_t & | value,
|  | MemberId | id )

pure virtual

Retrieves an int16 value associated to an identifier.

Parameters

  [in,out] | value | int16 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to int16.

## ◆ get_int16_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_int16_values | ( | Int16Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of int16 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of int16 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of int16.

## ◆ get_int32_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_int32_value | ( | int32_t & | value,
|  | MemberId | id )

pure virtual

Retrieves an int32 value associated to an identifier.

Parameters

  [in,out] | value | int32 to populate
  [in] | id | identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to int32.

## ◆ get_int32_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_int32_values | ( | Int32Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of int32 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of int32 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of int32.

## ◆ get_int64_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_int64_value | ( | int64_t & | value,
|  | MemberId | id )

pure virtual

Retrieves an int64 value associated to an identifier.

Parameters

  [in,out] | value | int64 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to int64.

## ◆ get_int64_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_int64_values | ( | Int64Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of int64 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of int64 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of int64.

## ◆ get_int8_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_int8_value | ( | int8_t & | value,
|  | MemberId | id )

pure virtual

Retrieves an int8 value associated to an identifier.

Parameters

  [in,out] | value | int8 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to int8.

## ◆ get_int8_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_int8_values | ( | Int8Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of int8 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of int8 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of int8.

## ◆ get_item_count()

virtual FASTDDS_EXPORTED_API uint32_t get_item_count | ( |  | ) |

pure virtual

Provides the item count of the data and depends on the type of object:

- If the object is of a collection type, returns the number of elements currently in the collection. In the case of an array type, this value will always be equal to the product of the bounds of all array dimensions.
- If the object is of a bitmask type, return the number of named flags that are currently set in the bitmask.
- If the object is of a structure or annotation type, return the number of members in the object. This value may be different than the number of members in the corresponding DynamicType.
- If the object is of a union type, return the number of members in the object. This number will be two if the discriminator value selects a member and one otherwise.
- if the object is of a primitive or enumerated type, it is atomic: return one.
- if the object is of an alias type, return the value appropriate for the alias base type.
  Returns
    count as defined above

## ◆ get_member_id_at_index()

virtual FASTDDS_EXPORTED_API MemberId get_member_id_at_index | ( | uint32_t | index | ) |

pure virtual

Queries MemberId by index The query result depends on the type of the sample.

Only next types support accessing by index.

- Aggregated type.
- Sequence type.
- String type.
- Map type.
- Array type.
- Bitmask type.
  Parameters

    [in] | index | Index.

  Returns
    MemberId or MEMBER_ID_INVALID on failure

## ◆ get_member_id_by_name()

virtual FASTDDS_EXPORTED_API MemberId get_member_id_by_name | ( | const ObjectName & | name | ) |

pure virtual

Queries MemberId by name.

The query result depends on the type of the sample. Only next types support accessing by name.

- Aggregated type.
- Map type.
- Bitmask type.
  Parameters

    [in] | name | string

  Returns
    MemberId or MEMBER_ID_INVALID on failure

## ◆ get_string_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_string_value | ( | std::string & | value,
|  | MemberId | id )

pure virtual

Retrieves an string value associated to an identifier.

Parameters

  [in,out] | value | string to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to string.

## ◆ get_string_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_string_values | ( | StringSeq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of string values associated to an identifier.

Parameters

  [in,out] | value | Sequence of string to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of string.

## ◆ get_uint16_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_uint16_value | ( | uint16_t & | value,
|  | MemberId | id )

pure virtual

Retrieves an uint16 value associated to an identifier.

Parameters

  [in,out] | value | uint16 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to uint16.

## ◆ get_uint16_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_uint16_values | ( | UInt16Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of uint16 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of uint16 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of uint16.

## ◆ get_uint32_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_uint32_value | ( | uint32_t & | value,
|  | MemberId | id )

pure virtual

Retrieves an uint32 value associated to an identifier.

Parameters

  [in,out] | value | uint32 to populate
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to uint32.

## ◆ get_uint32_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_uint32_values | ( | UInt32Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of uint32 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of uint32 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of uint32.

## ◆ get_uint64_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_uint64_value | ( | uint64_t & | value,
|  | MemberId | id )

pure virtual

Retrieves an uint64 value associated to an identifier.

Parameters

  [in,out] | value | uint64 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to uint64.

## ◆ get_uint64_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_uint64_values | ( | UInt64Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of uint64 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of uint64 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of uint64.

## ◆ get_uint8_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_uint8_value | ( | uint8_t & | value,
|  | MemberId | id )

pure virtual

Retrieves an uint8 value associated to an identifier.

Parameters

  [in,out] | value | uint8 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to uint8.

## ◆ get_uint8_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_uint8_values | ( | UInt8Seq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of uint8 values associated to an identifier.

Parameters

  [in,out] | value | Sequence of uint8 to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of uint8.

## ◆ get_wstring_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_wstring_value | ( | std::wstring & | value,
|  | MemberId | id )

pure virtual

Retrieves an wstring value associated to an identifier.

Parameters

  [in,out] | value | wstring to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to wstring.

## ◆ get_wstring_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t get_wstring_values | ( | WstringSeq & | value,
|  | MemberId | id )

pure virtual

Retrieves a sequence of wstring values associated to an identifier.

Parameters

  [in,out] | value | Sequence of wstring to populate.
  [in] | id | Identifier of the member to query.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was retrieved successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of wstring.

## ◆ loan_value()

virtual FASTDDS_EXPORTED_API traits< DynamicData >::ref_type loan_value | ( | MemberId | id | ) |

pure virtual

Loans a DynamicData reference within the sample

Remarks
  This loan shall be returned by the return_loaned_value operation

Parameters

  [in] | id | identifier of the object to retrieve

Returns
  DynamicData reference loaned or nil on outstanding loaned data

## ◆ return_loaned_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t return_loaned_value | ( | traits< DynamicData >::ref_type | value | ) |

pure virtual

Returns a loan retrieved using loan_value.

Parameters

  [in] | value | DynamicData reference previously loaned

Return values

  RETCODE_OK | when the loan was returned successfully.
  RETCODE_PRECONDITION_NOT_MET | when the loan is invalid.

## ◆ set_boolean_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_boolean_value | ( | MemberId | id,
|  | bool | value )

pure virtual

Sets an bool value associated to an identifier.

Parameters

  [in] | id | identifier of the member to set.
  [in] | value | bool to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to bool.

## ◆ set_boolean_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_boolean_values | ( | MemberId | id,
|  | const BooleanSeq & | value )

pure virtual

Sets a sequence of bool values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of bool to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of bool.

## ◆ set_byte_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_byte_value | ( | MemberId | id,
|  | eprosima::fastdds::rtps::octet | value )

pure virtual

Sets an byte value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | byte to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to byte.

## ◆ set_byte_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_byte_values | ( | MemberId | id,
|  | const ByteSeq & | value )

pure virtual

Sets a sequence of byte values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of byte to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of byte.

## ◆ set_char16_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_char16_value | ( | MemberId | id,
|  | wchar_t | value )

pure virtual

Sets an char16 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | char16 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to char16.

## ◆ set_char16_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_char16_values | ( | MemberId | id,
|  | const WcharSeq & | value )

pure virtual

Sets a sequence of char16 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of char16 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of char16.

## ◆ set_char8_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_char8_value | ( | MemberId | id,
|  | char | value )

pure virtual

Sets an char8 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | char8 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to char8.

## ◆ set_char8_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_char8_values | ( | MemberId | id,
|  | const CharSeq & | value )

pure virtual

Sets a sequence of char8 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of char8 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of char8.

## ◆ set_complex_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_complex_value | ( | MemberId | id,
|  | traits< DynamicData >::ref_type | value )

pure virtual

Sets a complex value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | DynamicData reference to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the value reference is nil or MemberId is invalid or the member type is not promotable to complex.

## ◆ set_float128_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_float128_value | ( | MemberId | id,
|  | long double | value )

pure virtual

Sets an float128 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | float128 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to float128.

## ◆ set_float128_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_float128_values | ( | MemberId | id,
|  | const Float128Seq & | value )

pure virtual

Sets a sequence of float128 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of float128 to set

Remarks
  Only available on platforms supporting long double

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of float128.

## ◆ set_float32_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_float32_value | ( | MemberId | id,
|  | float | value )

pure virtual

Sets an float32 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | float32 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to float32.

## ◆ set_float32_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_float32_values | ( | MemberId | id,
|  | const Float32Seq & | value )

pure virtual

Sets a sequence of float32 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of float32 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of float32.

## ◆ set_float64_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_float64_value | ( | MemberId | id,
|  | double | value )

pure virtual

Sets an float64 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | float64 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to float64.

## ◆ set_float64_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_float64_values | ( | MemberId | id,
|  | const Float64Seq & | value )

pure virtual

Sets a sequence of float64 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of float64 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of float64.

## ◆ set_int16_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_int16_value | ( | MemberId | id,
|  | int16_t | value )

pure virtual

Sets an int16 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | int16 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to int16.

## ◆ set_int16_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_int16_values | ( | MemberId | id,
|  | const Int16Seq & | value )

pure virtual

Sets a sequence of int16 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of int16 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of int16.

## ◆ set_int32_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_int32_value | ( | MemberId | id,
|  | int32_t | value )

pure virtual

Sets an int32 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | int32 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to int32.

## ◆ set_int32_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_int32_values | ( | MemberId | id,
|  | const Int32Seq & | value )

pure virtual

Sets a sequence of int32 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of int32 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of int32.

## ◆ set_int64_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_int64_value | ( | MemberId | id,
|  | int64_t | value )

pure virtual

Sets an int64 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | int64 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to int64.

## ◆ set_int64_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_int64_values | ( | MemberId | id,
|  | const Int64Seq & | value )

pure virtual

Sets a sequence of int64 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of int64 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of int64.

## ◆ set_int8_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_int8_value | ( | MemberId | id,
|  | int8_t | value )

pure virtual

Sets an int8 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | int8 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to int8.

## ◆ set_int8_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_int8_values | ( | MemberId | id,
|  | const Int8Seq & | value )

pure virtual

Sets a sequence of int8 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of int8 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of int8.

## ◆ set_string_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_string_value | ( | MemberId | id,
|  | const std::string & | value )

pure virtual

Sets an string value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | string to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to string or the string length is greater than the string bound.

## ◆ set_string_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_string_values | ( | MemberId | id,
|  | const StringSeq & | value )

pure virtual

Sets a sequence of string values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of string to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of string.

## ◆ set_uint16_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_uint16_value | ( | MemberId | id,
|  | uint16_t | value )

pure virtual

Sets an uint16 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | uint16 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to uint16.

## ◆ set_uint16_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_uint16_values | ( | MemberId | id,
|  | const UInt16Seq & | value )

pure virtual

Sets a sequence of uint16 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of uint16 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of uint16.

## ◆ set_uint32_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_uint32_value | ( | MemberId | id,
|  | uint32_t | value )

pure virtual

Sets an uint32 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | uint32 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to uint32.

## ◆ set_uint32_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_uint32_values | ( | MemberId | id,
|  | const UInt32Seq & | value )

pure virtual

Sets a sequence of uint32 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of uint32 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of uint32.

## ◆ set_uint64_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_uint64_value | ( | MemberId | id,
|  | uint64_t | value )

pure virtual

Sets an uint64 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | uint64 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to uint64.

## ◆ set_uint64_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_uint64_values | ( | MemberId | id,
|  | const UInt64Seq & | value )

pure virtual

Sets a sequence of uint64 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of uint64 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of uint64.

## ◆ set_uint8_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_uint8_value | ( | MemberId | id,
|  | uint8_t | value )

pure virtual

Sets an uint8 value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | uint8 to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to uint8.

## ◆ set_uint8_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_uint8_values | ( | MemberId | id,
|  | const UInt8Seq & | value )

pure virtual

Sets a sequence of uint8 values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of uint8 to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of uint8.

## ◆ set_wstring_value()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_wstring_value | ( | MemberId | id,
|  | const std::wstring & | value )

pure virtual

Sets an wstring value associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | wstring to set.

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to wstring or the string length is greater than the string bound.

## ◆ set_wstring_values()

virtual FASTDDS_EXPORTED_API ReturnCode_t set_wstring_values | ( | MemberId | id,
|  | const WstringSeq & | value )

pure virtual

Sets a sequence of wstring values associated to an identifier.

Parameters

  [in] | id | Identifier of the member to set.
  [in] | value | Sequence of wstring to set

Returns
  ReturnCode_t

Return values

  RETCODE_OK | when the value was set successfully.
  RETCODE_BAD_PARAMETER | when the MemberId is invalid or the member type is not promotable to sequence of wstring.

## ◆ type()

virtual FASTDDS_EXPORTED_API traits< DynamicType >::ref_type type | ( |  | ) |

pure virtual

Retrieve the DynamicType reference associated to this DynamicData.

Returns
  Non-nil DynamicType reference

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/dynamic_types/DynamicData.hpp